Bug 1004248 - cannot handle content definition filters by ID
cannot handle content definition filters by ID
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Partha Aji
sthirugn@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 05:40 EDT by Ales Dujicek
Modified: 2014-09-11 08:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 08:19:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-09-04 05:40:04 EDT
Description of problem:

when using ID of filter instead of name, commands always return error:

> content definition filter create --org org --definition definition --name filter
Successfully created filter [ filter ]
> content definition filter info --org org --definition definition --name filter
...
ID                      : 5
Name                    : filter
Content View Definition : definition
Org                     : org
...
> content definition filter info --org org --definition definition --id 5
Could not find filter [ 5 ].


Version-Release number of selected component (if applicable):
katello-common-1.4.5-1.git.5.54a114c.el6.noarch
katello-cli-common-1.4.3-1.git.27.a001bbe.el6.noarch
katello-1.4.5-1.git.5.54a114c.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-katello-plugins-0.2-1.el6.noarch
katello-glue-elasticsearch-1.4.5-1.git.5.54a114c.el6.noarch
katello-all-1.4.5-1.git.5.54a114c.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.4.3-1.git.27.a001bbe.el6.noarch
katello-configure-1.4.5-1.el6.noarch
signo-katello-0.0.12-1.el6.noarch
katello-glue-candlepin-1.4.5-1.git.5.54a114c.el6.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-selinux-1.4.4-1.git.1.7abb02b.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-pulp-1.4.5-1.git.5.54a114c.el6.noarch

How reproducible:
always
Comment 2 Partha Aji 2013-09-17 15:02:51 EDT
should be fixed when https://github.com/Katello/katello-cli/pull/91 gets merged
Comment 7 sthirugn@redhat.com 2014-09-03 14:51:36 EDT
Verified. 

content definition filter is not a valid hammer command anymore.  Please feel free to reopen this bug or create a new bug if necessary.

Version Tested:
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140829.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.42-1.el6sat.noarch
* foreman-compute-1.6.0.42-1.el6sat.noarch
* foreman-gce-1.6.0.42-1.el6sat.noarch
* foreman-libvirt-1.6.0.42-1.el6sat.noarch
* foreman-ovirt-1.6.0.42-1.el6sat.noarch
* foreman-postgresql-1.6.0.42-1.el6sat.noarch
* foreman-proxy-1.6.0.30-1.el6sat.noarch
* foreman-selinux-1.6.0.14-1.el6sat.noarch
* foreman-vmware-1.6.0.42-1.el6sat.noarch
* katello-1.5.0-30.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.62-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-4.el6sat.noarch
* pulp-nodes-common-2.4.1-0.5.rc1.el6sat.noarch
* pulp-nodes-parent-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-tools-2.4.1-0.5.rc1.el6sat.noarch
* pulp-rpm-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-selinux-2.4.1-0.5.rc1.el6sat.noarch
* pulp-server-2.4.1-0.5.rc1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
Comment 8 Bryan Kearney 2014-09-11 08:19:34 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.